/* FILE: CheckI.h
 *
 * function: 
 *
 * DESCRIPTION: Contains the CheckI data structure and prototapes for utilities to handel checking the values.
 *              
 *
 * RCS INFO:
 *
 *	$Id:   $
 *
 *	$Log:  $
 *
 * 07/3/00  Amer Rahabi
 *
*/
#ifndef _CheckI_header
#define _CheckI_header


/* INCLUDED FILES: the following included files are here because of
 *     dependencies that exist within this header file.
*/
#include <stdio.h>
#include "odldef.h"
#include "lstList.h"


/* ---------------------------------------------------------------------*/

/* EXTERN VARIABLES: the following variables may be used in other files.
 *    They are defined in metcheck.c.
*/
	/* NONE */

typedef struct ODLUnits *ODLUNITS;
/* ---------------------------------------------------------------------*/

/* EXTERN PROTOTYPES: the following prototypes are for functions defined
 *     in checkI.c but which are intended for use elsewhere.
*/
	/* NONE */
/* ---------------------------------------------------------------------*/


/* PROTOTYPES:   */


int CheckNormal(AGGREGATE pRootF1,AGGREGATE pRootF2, FILE *output); 

int CheckNumVal(AGGREGATE MyAgg, AGGREGATE  RefAgg, FILE *output);

int CheckValType(AGGREGATE MyAgg, AGGREGATE  RefAgg, FILE *output);

int CheckValue(AGGREGATE MyAgg, AGGREGATE  RefAgg, FILE *output);

int CheckDateTime(VALUE refValue, VALUE myValue);

int CheckString(VALUE refValue, VALUE myValue);

int CheckInteger(VALUE refValue, VALUE myValue);

int CheckReal(VALUE refValue, VALUE myValue);

int CheckSymbol(VALUE refValue, VALUE myValue);

int CheckOdlUnits(ODLUNITS refUnits, ODLUNITS myUnits);

int checkPSA(lstLIST fldList, AGGREGATE startAgg, AGGREGATE descAgg, FILE *output);

int ValidatePsa(char *attName,AGGREGATE metAA, AGGREGATE descPSA, FILE *output);

           




#endif 
